# --------------------------------------------------------
# freenibs-2.2.1
# nibs_mysql.sql
# --------------------------------------------------------

CREATE DATABASE freenibs;
USE freenibs;

GRANT USAGE ON freenibs.* to freenibs@localhost;
GRANT SELECT,UPDATE,INSERT,DELETE,CREATE,DROP,ALTER,INDEX ON freenibs.* to freenibs@localhost;
SET PASSWORD FOR "freenibs"@"localhost"=PASSWORD("PASS");

# --------------------------------------------------------

CREATE TABLE `users` (
  `user` varchar(64) binary NOT NULL default '',
  `password` varchar(254) binary NOT NULL default '*',
  `crypt_method` tinyint(1) unsigned NOT NULL default '2',
  `uid` bigint(15) unsigned NOT NULL auto_increment,
  `gid` bigint(15) unsigned NOT NULL default '1',
  `deposit` double(16,6) NOT NULL default '0.000000',
  `credit` double(16,6) NOT NULL default '0.000000',
  `fio` varchar(128) NOT NULL default '',
  `phone` varchar(128) NOT NULL default '',
  `address` varchar(128) NOT NULL default '',
  `prim` varchar(254) NOT NULL default '',
  `add_date` date NOT NULL default '0000-00-00',
  `blocked` tinyint(3) unsigned NOT NULL default '0',
  `activated` tinyint(3) unsigned NOT NULL default '1',
  `expired` datetime NOT NULL default '0000-00-00 00:00:00',
  `total_time` bigint(15) NOT NULL default '0',
  `total_traffic` bigint(15) NOT NULL default '0',
  `total_money` double(16,6) NOT NULL default '0.000000',
  `last_connection` date NOT NULL default '0000-00-00',
  `framed_ip` varchar(16) NOT NULL default '',
  `framed_mask` varchar(16) NOT NULL default '',
  `callback_number` varchar(64) NOT NULL default '',
  PRIMARY KEY  (`uid`),
  KEY `user` (`user`)
) TYPE=MyISAM;

# --------------------------------------------------------

CREATE TABLE `actions` (
  `user` varchar(64) NOT NULL default '',
  `gid` bigint(15) NOT NULL default '0',
  `id` varchar(32) NOT NULL default '',
  `unique_id` varchar(64) NOT NULL default '',
  `time_on` bigint(15) default NULL,
  `start_time` datetime NOT NULL default '2003-01-01 00:00:00',
  `stop_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `in_bytes` bigint(15) default NULL,
  `out_bytes` bigint(15) default NULL,
  `ip` varchar(15) NOT NULL default '',
  `server` varchar(15) NOT NULL default '',
  `client_ip` varchar(15) NOT NULL default '',
  `port` int(12) default NULL,
  `call_to` varchar(64) NOT NULL default '',
  `call_from` varchar(64) NOT NULL default '',
  `connect_info` varchar(254) default NULL,
  `protocol` varchar(32) default NULL,
  `terminate_cause` varchar(64) NOT NULL default '',
  `comment` varchar(128) default NULL,
  `hour_in_bytes` bigint(15) unsigned NOT NULL default '0',
  `hour_out_bytes` bigint(15) unsigned NOT NULL default '0',
  `hour_traffic_money` double(16,6) NOT NULL default '0.000000',
  `last_change` int(10) unsigned  NOT NULL default '0',
  `before_billing` double(16,6) NOT NULL default '0.000000',
  `billing_minus` double(16,6) NOT NULL default '0.000000',
  PRIMARY KEY  (`unique_id`),
  KEY `user` (`user`,`id`,`time_on`,`start_time`,`stop_time`)
) TYPE=MyISAM;

# --------------------------------------------------------

CREATE TABLE `packets` (
  `num` bigint(15) NOT NULL default '0',
  `packet` varchar(128) NOT NULL default '',
  `prefix` varchar(4) NOT NULL default '',
  `gid` bigint(15) unsigned NOT NULL auto_increment,
  `deposit` double(16,6) NOT NULL default '0.000000',
  `credit` double(16,6) NOT NULL default '0.000000',
  `tos` tinyint(1) NOT NULL default '0',
  `do_with_tos` tinyint(1) NOT NULL default '1',
  `direction` tinyint(1) NOT NULL default '0',
  `fixed` tinyint(1) NOT NULL default '0',
  `fixed_cost` double(16,6) NOT NULL default '0.000000',
  `activated` tinyint(1) NOT NULL default '1',
  `activation_time` int(10) NOT NULL default '2678400',
  `blocked` tinyint(1) NOT NULL default '0',
  `total_time_limit` bigint(15) NOT NULL default '0',
  `month_time_limit` bigint(15) NOT NULL default '0',
  `week_time_limit` bigint(15) NOT NULL default '0',
  `day_time_limit` bigint(15) NOT NULL default '0',
  `total_traffic_limit` bigint(15) NOT NULL default '0',
  `month_traffic_limit` bigint(15) NOT NULL default '0',
  `week_traffic_limit` bigint(15) NOT NULL default '0',
  `day_traffic_limit` bigint(15) NOT NULL default '0',
  `total_money_limit` double(16,6) NOT NULL default '0.000000',
  `month_money_limit` double(16,6) NOT NULL default '0.000000',
  `week_money_limit` double(16,6) NOT NULL default '0.000000',
  `day_money_limit` double(16,6) NOT NULL default '0.000000',
  `login_time` varchar(254) NOT NULL default '',
  `huntgroup_name` varchar(64) NOT NULL default '',
  `simultaneous_use` smallint(5) NOT NULL default '1',
  `port_limit` smallint(5) NOT NULL default '1',
  `session_timeout` bigint(15) NOT NULL default '0',
  `idle_timeout` bigint(15) NOT NULL default '0',
  `allowed_prefixes` varchar(64) NOT NULL default '',
  `framed_ip` varchar(16) NOT NULL default '',
  `framed_mask` varchar(16) NOT NULL default '',
  `no_pass` tinyint(1) NOT NULL default '0',
  `no_acct` tinyint(1) NOT NULL default '0',
  `allow_callback` tinyint(1) NOT NULL default '0',
  `other_params` varchar(254) NOT NULL default 'Acct-Interim-Interval = 60, Service-Type = Framed-User, Framed-Protocol = PPP, Framed-Compression = Van-Jacobson-TCP-IP',
  PRIMARY KEY  (`gid`),
  UNIQUE KEY `packet` (`packet`)
) TYPE=MyISAM;

# --------------------------------------------------------

CREATE TABLE `prices` (
  `gid` bigint(15) unsigned NOT NULL default '1',
  `week_day` tinyint(1) NOT NULL default '0',
  `h0` double(16,6) NOT NULL default '0.000000',
  `input0` double(16,6) NOT NULL default '0.000000',
  `output0` double(16,6) NOT NULL default '0.000000',
  `h1` double(16,6) NOT NULL default '0.000000',
  `input1` double(16,6) NOT NULL default '0.000000',
  `output1` double(16,6) NOT NULL default '0.000000',
  `h2` double(16,6) NOT NULL default '0.000000',
  `input2` double(16,6) NOT NULL default '0.000000',
  `output2` double(16,6) NOT NULL default '0.000000',
  `h3` double(16,6) NOT NULL default '0.000000',
  `input3` double(16,6) NOT NULL default '0.000000',
  `output3` double(16,6) NOT NULL default '0.000000',
  `h4` double(16,6) NOT NULL default '0.000000',
  `input4` double(16,6) NOT NULL default '0.000000',
  `output4` double(16,6) NOT NULL default '0.000000',
  `h5` double(16,6) NOT NULL default '0.000000',
  `input5` double(16,6) NOT NULL default '0.000000',
  `output5` double(16,6) NOT NULL default '0.000000',
  `h6` double(16,6) NOT NULL default '0.000000',
  `input6` double(16,6) NOT NULL default '0.000000',
  `output6` double(16,6) NOT NULL default '0.000000',
  `h7` double(16,6) NOT NULL default '0.000000',
  `input7` double(16,6) NOT NULL default '0.000000',
  `output7` double(16,6) NOT NULL default '0.000000',
  `h8` double(16,6) NOT NULL default '0.000000',
  `input8` double(16,6) NOT NULL default '0.000000',
  `output8` double(16,6) NOT NULL default '0.000000',
  `h9` double(16,6) NOT NULL default '0.000000',
  `input9` double(16,6) NOT NULL default '0.000000',
  `output9` double(16,6) NOT NULL default '0.000000',
  `h10` double(16,6) NOT NULL default '0.000000',
  `input10` double(16,6) NOT NULL default '0.000000',
  `output10` double(16,6) NOT NULL default '0.000000',
  `h11` double(16,6) NOT NULL default '0.000000',
  `input11` double(16,6) NOT NULL default '0.000000',
  `output11` double(16,6) NOT NULL default '0.000000',
  `h12` double(16,6) NOT NULL default '0.000000',
  `input12` double(16,6) NOT NULL default '0.000000',
  `output12` double(16,6) NOT NULL default '0.000000',
  `h13` double(16,6) NOT NULL default '0.000000',
  `input13` double(16,6) NOT NULL default '0.000000',
  `output13` double(16,6) NOT NULL default '0.000000',
  `h14` double(16,6) NOT NULL default '0.000000',
  `input14` double(16,6) NOT NULL default '0.000000',
  `output14` double(16,6) NOT NULL default '0.000000',
  `h15` double(16,6) NOT NULL default '0.000000',
  `input15` double(16,6) NOT NULL default '0.000000',
  `output15` double(16,6) NOT NULL default '0.000000',
  `h16` double(16,6) NOT NULL default '0.000000',
  `input16` double(16,6) NOT NULL default '0.000000',
  `output16` double(16,6) NOT NULL default '0.000000',
  `h17` double(16,6) NOT NULL default '0.000000',
  `input17` double(16,6) NOT NULL default '0.000000',
  `output17` double(16,6) NOT NULL default '0.000000',
  `h18` double(16,6) NOT NULL default '0.000000',
  `input18` double(16,6) NOT NULL default '0.000000',
  `output18` double(16,6) NOT NULL default '0.000000',
  `h19` double(16,6) NOT NULL default '0.000000',
  `input19` double(16,6) NOT NULL default '0.000000',
  `output19` double(16,6) NOT NULL default '0.000000',
  `h20` double(16,6) NOT NULL default '0.000000',
  `input20` double(16,6) NOT NULL default '0.000000',
  `output20` double(16,6) NOT NULL default '0.000000',
  `h21` double(16,6) NOT NULL default '0.000000',
  `input21` double(16,6) NOT NULL default '0.000000',
  `output21` double(16,6) NOT NULL default '0.000000',
  `h22` double(16,6) NOT NULL default '0.000000',
  `input22` double(16,6) NOT NULL default '0.000000',
  `output22` double(16,6) NOT NULL default '0.000000',
  `h23` double(16,6) NOT NULL default '0.000000',
  `input23` double(16,6) NOT NULL default '0.000000',
  `output23` double(16,6) NOT NULL default '0.000000'
) TYPE=MyISAM;

# --------------------------------------------------------

CREATE TABLE `holidays` (
  `holiday_date` varchar(5) NOT NULL default '',
  `comment` varchar(64) NOT NULL default '',
  PRIMARY KEY  (`holiday_date`)
) TYPE=MyISAM;

# --------------------------------------------------------

CREATE TABLE `blacklist` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `uid` bigint(15) unsigned default NULL,
  `gid` bigint(15) unsigned default NULL,
  `phone` varchar(64) NOT NULL default '',
  `permit` char(1) NOT NULL default 'Y',
  `comment` varchar(128) default '',
  PRIMARY KEY  (`id`),
  KEY `phone` (`phone`)
) TYPE=MyISAM;

# --------------------------------------------------------
